#!/usr/bin/env python

from setuptools import setup
import os

root = os.path.dirname(os.path.abspath(__file__))

with open(os.path.join(root, 'arte7.py')) as fh:
	s = fh.read()
	s = s[s.find('"""') + 3:]
	s = s[:s.find('"""')]
	description, long_description = s.split('\n\n', 2)


setup(
	name='arte7',
	version='0.0.3',
	description=description,
	long_description=long_description,
	author='Tobias Bengfort',
	author_email='tobias.bengfort@gmx.net',
	url='https://gitorious.org/mediathek/arte7',
	install_requires=[
		'argparse>=1.2.1',
	],
	py_modules=['arte7'],
	license='GPLv3+',
	entry_points={'console_scripts': 'arte7=arte7:main'},
	classifiers=[
		'Development Status :: 3 - Alpha',
		'Environment :: Console',
		'Programming Language :: Python :: 2',
		'Programming Language :: Python :: 3',
		'License :: OSI Approved :: GNU General Public License v3 or later '
			'(GPLv3+)',
		'Topic :: Internet',
		'Topic :: Multimedia :: Video',
	])
